> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mesadepagos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fees

> Consulta y configuración de comisiones.

El módulo Fees permite consultar y crear configuraciones de comisiones para el business autenticado.

## Consultar Fees

```http theme={null}
GET /v2/fees
```

### Query Params

| Parámetro         | Requerido | Valores                                        |
| ----------------- | --------- | ---------------------------------------------- |
| `type`            | No        | `FIXED`, `PERCENTAGE`                          |
| `pair`            | No        | `USDC/BOB`, `BOB/USDC`, `USDT/BOB`, `BOB/USDT` |
| `transactionType` | No        | Tipos de transacción soportados                |
| `status`          | No        | `CURRENT`, `OLD`                               |

### Response

```json theme={null}
[
  {
    "pair": "USDC/BOB",
    "transactionType": "withdrawal_express",
    "amount": 0.5,
    "feeType": "PERCENTAGE",
    "status": "CURRENT",
    "createdBy": "Partner User",
    "validUntil": null,
    "supersededBy": null,
    "predecessor": null
  }
]
```

## Crear Fee

```http theme={null}
POST /v2/fees
```

```json theme={null}
{
  "pair": "USDC/BOB",
  "transactionType": "withdrawal_express",
  "amount": 0.5,
  "type": "PERCENTAGE"
}
```

### Response

```json theme={null}
{
  "pair": "USDC/BOB",
  "transactionType": "withdrawal_express",
  "amount": 0.5,
  "feeType": "PERCENTAGE",
  "status": "CURRENT",
  "createdBy": "Partner User"
}
```

## Tipos de Fee

| Tipo         | Descripción                        |
| ------------ | ---------------------------------- |
| `PERCENTAGE` | Se aplica sobre el tipo de cambio. |
| `FIXED`      | Se aplica sobre el monto total.    |
